package cn.iocoder.yudao.module.system.enums.robot;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 下发给车机的类型
 */
@Getter
@AllArgsConstructor
public enum CommandTypeEnum {
    WORK_PICK_UP_GOODS_MOVE_TO_CHECK("WORK_PICK_UP_GOODS_MOVE_TO_CHECK","取货导航到检测点"),
    WORK_DROP_OFF_GOODS_MOVE_TO_CHECK("WORK_DROP_OFF_GOODS_MOVE_TO_CHECK","放货导航到检测点"),
    WORK_PICK_UP_GOODS("WORK_PICK_UP_GOODS","取货控叉"),
    WORK_DROP_OFF_GOODS("WORK_DROP_OFF_GOODS","放货控叉"),
    MOVE_POSES("MOVE_POSES","移动"),
    WORK_AUTO_CHARGE("WORK_AUTO_CHARGE","自动充电"),
    WORK_MANUAL_CHARGEC("WORK_MANUAL_CHARGEC","手动充电");
    /**
     * 类型
     */
    private final String type;
    /**
     * 说明
     */
    private final String msg;

    public static CommandTypeEnum getCommandType(String type) {
        for (CommandTypeEnum item : CommandTypeEnum.values()) {
            if (item.getType().equals(type)) {
                return item;
            }
        }
        return null;
    }

}
